=== debian/changelog ===
newsboat (2.10.2-3) unstable; urgency=medium

  * Drop ncurses-term dependency (not needed as of the last upload)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sat, 30 Dec 2017 21:23:45 +0200

newsboat (2.10.2-2) experimental; urgency=medium

  * Bump standards to 4.1.3
    - Update perl hashbang of contrib/pinboard.pl to be compliant
  * Patch spelling errors reported by lintian
  * Bump debhelper compat version to 11 (No changes necessary)
  * Fix package failing to build twice in a row (remove doc/example-config on
    distclean)
  * Manually set TERM variable when running tests to (hopefully) fix the build
    on non-amd64 archs

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Fri, 29 Dec 2017 15:27:26 +0200

newsboat (2.10.2-1) experimental; urgency=medium

  * New upstream release (Closes: #884894, 884892)
  * Fix watch file
  * (Experimentally) Run tests under script (Closes: #884893)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Wed, 27 Dec 2017 16:30:11 +0200

newsboat (2.10.1-1) unstable; urgency=low

  * Initial release. (Closes: #876327)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sun, 22 Oct 2017 12:17:44 +0300
