=== debian/control ===
Source: newsboat
Section: net
Priority: optional
Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
Build-Depends: libncursesw5-dev, debhelper (>= 11), libxml2-dev, libstfl-dev, libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev, libjson-c-dev, asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, bc
Standards-Version: 4.1.3
Homepage: https://www.newsboat.org

Package: newsboat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text mode rss feed reader with podcast support
 newsboat is an RSS/Atom feed reader for the text console. It supports OPML
 import/export, podcasts (via companion program podboat), and can serve as
 a client to various feed aggregators (TT-RSS, The Old Reader, Newsblur,
 FeedHQ, ownCloud/nextCloud News). Its interface draws inspiration from mutt
 and slrn.
 .
 Successor of newsbeuter.
