## newsboat 2.11

=== debian/changelog ===
newsboat (2.11-1) unstable; urgency=medium

  * New upstream release (Closes: #888048)
    + Drop 03-clean-example-config.patch: Included upstream
    + Update 02-spelling.patch
    + Update copyright file for catch.hpp and json.hpp

  * Update copyright years

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 27 Mar 2018 17:28:31 +0300
