## newsboat 2.11.1

=== debian/changelog ===
newsboat (2.11.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 May 2018 11:50:51 -0700

newsboat (2.11.1-1) unstable; urgency=medium

  * New upstream release
    + Remove 02-spelling.patch: Included upstream

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sat, 31 Mar 2018 10:21:57 +0300
