=== debian/control ===
--- 
+++ 
@@ -1,8 +1,23 @@
 Source: newsboat
 Section: net
 Priority: optional
-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
-Build-Depends: libncursesw5-dev, debhelper (>= 11), libxml2-dev, libstfl-dev, libsqlite3-dev, perl, pkg-config, libcurl4-gnutls-dev, libjson-c-dev, asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, bc
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Build-Depends: libncursesw5-dev,
+               debhelper (>= 10),
+               libxml2-dev,
+               libstfl-dev,
+               libsqlite3-dev,
+               perl,
+               pkg-config,
+               libcurl4-gnutls-dev,
+               libjson-c-dev,
+               asciidoc,
+               libxml2-utils,
+               xsltproc,
+               docbook-xml,
+               docbook-xsl,
+               bc
 Standards-Version: 4.1.3
 Homepage: https://www.newsboat.org
