=== debian/changelog ===
newsboat (2.12-1) unstable; urgency=medium

  * New upstream release (Closes: #897818)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 26 Jun 2018 17:10:18 +0300
