=== debian/changelog ===
newsboat (2.13-2) unstable; urgency=medium

  [ Nikos Tsipinakis ]
  * Patch use after free in itemlist (Closes: #898559)
  * Bump standards to 4.4.0 (no changes)
  * d/control: Add Vcs links
  * d/control: Format dependencies vertically
  * Bump debhelper compat to 12
  * Install contrib directory in docs

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sat, 17 Aug 2019 10:14:13 +0300

newsboat (2.13-1) unstable; urgency=medium

  * New upstream release
  * Bump standards to 4.2.1
  * Drop build dependency on bc (No longer needed)
  * Add recommends on sensible-utils

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sun, 23 Sep 2018 21:01:29 +0300
