=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: newsboat
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
-Build-Depends: libncursesw5-dev,
-               debhelper (>= 10),
+Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Build-Depends: debhelper-compat (= 12),
+               libncursesw5-dev,
                libxml2-dev,
                libstfl-dev,
                libsqlite3-dev,
@@ -16,13 +15,15 @@
                libxml2-utils,
                xsltproc,
                docbook-xml,
-               docbook-xsl,
-               bc
-Standards-Version: 4.1.3
+               docbook-xsl
+Standards-Version: 4.4.0
 Homepage: https://www.newsboat.org
+Vcs-Git: https://salsa.debian.org/nikos-guest/newsboat.git
+Vcs-Browser: https://salsa.debian.org/nikos-guest/newsboat
 
 Package: newsboat
 Architecture: any
+Recommends: sensible-utils
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: text mode rss feed reader with podcast support
  newsboat is an RSS/Atom feed reader for the text console. It supports OPML
