## newsboat 2.18

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,12 @@
 
 # compiler
 CXX?=c++
+# Compiler for building executables meant to be run on the
+# host system during cross compilation
+CXX_FOR_BUILD?=$(CXX)
 
 # compiler and linker flags
 DEFINES=-DLOCALEDIR=\"$(localedir)\"
-
-ifneq ($(wildcard .git/.),)
-GIT_HASH:=$(shell git describe --abbrev=4 --dirty --always --tags)
-DEFINES+=-DGIT_HASH=\"$(GIT_HASH)\"
-endif
 
 WARNFLAGS=-Werror -Wall -Wextra -Wunreachable-code
 INCLUDES=-Iinclude -Istfl -Ifilter -I. -Irss
@@ -25,7 +23,7 @@
 
 PACKAGE=newsboat
 
-ifeq (, $(filter $(MAKECMDGOALS),distclean run-i18nspector))
+ifeq (, $(filter $(MAKECMDGOALS),distclean run-i18nspector fmt))
 include config.mk
 endif
 
@@ -35,6 +33,7 @@
 endif
 
 CXXFLAGS:=$(BARE_CXXFLAGS) $(WARNFLAGS) $(DEFINES) $(CXXFLAGS)
+CXXFLAGS_FOR_BUILD?=$(CXXFLAGS)
 
 LIB_SOURCES:=$(shell cat mk/libboat.deps)
 LIB_OBJS:=$(patsubst %.cpp,%.o,$(LIB_SOURCES))
@@ -47,17 +46,36 @@
 NEWSBOAT=newsboat
 NEWSBOAT_SOURCES:=$(shell cat mk/newsboat.deps)
 NEWSBOAT_OBJS:=$(patsubst %.cpp,%.o,$(NEWSBOAT_SOURCES))
-NEWSBOAT_LIBS=-lboat -lfilter -lpthread -lrsspp
+NEWSBOAT_LIBS=-lboat -lnewsboat -lfilter -lpthread -lrsspp -ldl
 
 RSSPPLIB_SOURCES=$(sort $(wildcard rss/*.cpp))
 RSSPPLIB_OBJS=$(patsubst rss/%.cpp,rss/%.o,$(RSSPPLIB_SOURCES))
 RSSPPLIB_OUTPUT=librsspp.a
 
+CARGO_FLAGS+=--verbose
+ifeq ($(PROFILE),1)
+ifdef CARGO_BUILD_TARGET
+NEWSBOATLIB_OUTPUT=target/$(CARGO_BUILD_TARGET)/debug/libnewsboat.a
+LDFLAGS+=-L./target/$(CARGO_BUILD_TARGET)/debug
+else
+NEWSBOATLIB_OUTPUT=target/debug/libnewsboat.a
+LDFLAGS+=-L./target/debug
+endif
+else
+ifdef CARGO_BUILD_TARGET
+NEWSBOATLIB_OUTPUT=target/$(CARGO_BUILD_TARGET)/release/libnewsboat.a
+LDFLAGS+=-L./target/$(CARGO_BUILD_TARGET)/release
+else
+NEWSBOATLIB_OUTPUT=target/release/libnewsboat.a
+LDFLAGS+=-L./target/release
+endif
+CARGO_FLAGS+=--release
+endif
 
 PODBOAT=podboat
 PODBOAT_SOURCES:=$(shell cat mk/podboat.deps)
 PODBOAT_OBJS:=$(patsubst %.cpp,%.o,$(PODBOAT_SOURCES))
-PODBOAT_LIBS=-lboat -lpthread
+PODBOAT_LIBS=-lboat -lnewsboat -lpthread -ldl
 
 ifeq (, $(filter Linux GNU GNU/%, $(shell uname -s)))
 NEWSBOAT_LIBS+=-liconv -lintl
@@ -72,23 +90,28 @@
 RANLIB?=ranlib
 AR?=ar
 CHMOD=chmod
+CARGO=cargo
 
 STFLHDRS:=$(patsubst %.stfl,%.h,$(wildcard stfl/*.stfl))
 POFILES:=$(wildcard po/*.po)
 MOFILES:=$(patsubst %.po,%.mo,$(POFILES))
 POTFILE=po/newsboat.pot
+RUST_SRCS:=Cargo.toml $(shell find rust -type f)
 
 TEXTCONV=./txt2h
 RM=rm -f
 
 all: doc $(NEWSBOAT) $(PODBOAT) mo-files
 
-NB_DEPS=xlicense.h $(LIB_OUTPUT) $(FILTERLIB_OUTPUT) $(NEWSBOAT_OBJS) $(RSSPPLIB_OUTPUT)
+NB_DEPS=xlicense.h $(LIB_OUTPUT) $(FILTERLIB_OUTPUT) $(NEWSBOAT_OBJS) $(RSSPPLIB_OUTPUT) $(NEWSBOATLIB_OUTPUT)
+
+$(NEWSBOATLIB_OUTPUT): $(RUST_SRCS)
+	$(CARGO) build --package libnewsboat-ffi $(CARGO_FLAGS)
 
 $(NEWSBOAT): $(NB_DEPS)
 	$(CXX) $(CXXFLAGS) -o $(NEWSBOAT) $(NEWSBOAT_OBJS) $(NEWSBOAT_LIBS) $(LDFLAGS)
 
-$(PODBOAT): $(LIB_OUTPUT) $(PODBOAT_OBJS)
+$(PODBOAT): $(LIB_OUTPUT) $(NEWSBOATLIB_OUTPUT) $(PODBOAT_OBJS)
 	$(CXX) $(CXXFLAGS) -o $(PODBOAT) $(PODBOAT_OBJS) $(PODBOAT_LIBS) $(LDFLAGS)
 
 $(LIB_OUTPUT): $(LIB_OBJS)
@@ -130,6 +153,9 @@
 
 clean-libfilter:
 	$(RM) $(FILTERLIB_OUTPUT) $(FILTERLIB_OBJS)
+
+clean-libnewsboat:
+	$(CARGO) clean
 
 clean-doc:
 	$(RM) -r doc/xhtml 
@@ -138,10 +164,10 @@
 		doc/podboat-cmds-linked.dsv doc/keycmds-linked.dsv \
 		doc/gen-example-config doc/example-config doc/generate doc/generate2
 
-clean: clean-newsboat clean-podboat clean-libboat clean-libfilter clean-doc clean-librsspp
+clean: clean-newsboat clean-podboat clean-libboat clean-libfilter clean-doc clean-librsspp clean-libnewsboat
 	$(RM) $(STFLHDRS) xlicense.h
 
-distclean: clean clean-mo test-clean profclean
+distclean: clean clean-mo clean-test profclean
 	$(RM) core *.core core.* config.mk
 
 doc: doc/newsboat.1 doc/podboat.1 doc/xhtml/newsboat.html doc/xhtml/faq.html
@@ -168,13 +194,13 @@
 	echo "td > pre { margin: 0; white-space: pre-wrap; }" >> doc/xhtml/docbook-xsl.css
 
 doc/generate: doc/generate.cpp doc/split.h
-	$(CXX) $(CXXFLAGS) -o doc/generate doc/generate.cpp
+	$(CXX_FOR_BUILD) $(CXXFLAGS_FOR_BUILD) -o doc/generate doc/generate.cpp
 
 doc/newsboat-cfgcmds.txt: doc/generate doc/configcommands.dsv
 	doc/generate doc/configcommands.dsv > doc/newsboat-cfgcmds.txt
 
 doc/generate2: doc/generate2.cpp
-	$(CXX) $(CXXFLAGS) -o doc/generate2 doc/generate2.cpp
+	$(CXX_FOR_BUILD) $(CXXFLAGS_FOR_BUILD) -o doc/generate2 doc/generate2.cpp
 
 doc/newsboat-keycmds.txt: doc/generate2 doc/keycmds.dsv
 	doc/generate2 doc/keycmds.dsv > doc/newsboat-keycmds.txt
@@ -192,7 +218,7 @@
 	$(A2X) -f manpage doc/manpage-podboat.txt
 
 doc/gen-example-config: doc/gen-example-config.cpp doc/split.h
-	$(CXX) $(CXXFLAGS) -o doc/gen-example-config doc/gen-example-config.cpp
+	$(CXX_FOR_BUILD) $(CXXFLAGS_FOR_BUILD) -o doc/gen-example-config doc/gen-example-config.cpp
 
 doc/example-config: doc/gen-example-config doc/configcommands.dsv
 	sed 's/+{backslash}"+/`\\"`/g' doc/configcommands.dsv | doc/gen-example-config > doc/example-config
@@ -209,7 +235,8 @@
 	sed -E 's/^([^|]+)/[[\1]]<<\1,`\1`>>/' doc/keycmds.dsv > doc/keycmds-linked.dsv
 
 fmt:
-	clang-format --style=file -i *.cpp doc/*.cpp include/*.h rss/*.h rss/*.cpp src/*.cpp test/*.h test/*.cpp
+	astyle --project *.cpp doc/*.cpp include/*.h rss/*.h rss/*.cpp src/*.cpp test/*.h test/*.cpp
+	$(CARGO) fmt
 
 cppcheck:
 	cppcheck -j$(CPPCHECK_JOBS) --force --enable=all --suppress=unusedFunction \
@@ -235,10 +262,22 @@
 install-docs: doc
 	$(MKDIR) $(DESTDIR)$(docdir)
 	$(INSTALL) -m 644 doc/xhtml/* $(DESTDIR)$(docdir) || true
+	$(INSTALL) -m 644 CHANGELOG.md $(DESTDIR)$(docdir) || true
+	$(MKDIR) $(DESTDIR)$(docdir)/contrib
+	$(INSTALL) -m 755 contrib/*.sh $(DESTDIR)$(docdir)/contrib || true
+	$(INSTALL) -m 755 contrib/*.rb $(DESTDIR)$(docdir)/contrib || true
+	$(INSTALL) -m 755 contrib/*.pl $(DESTDIR)$(docdir)/contrib || true
+	$(MKDIR) $(DESTDIR)$(docdir)/contrib/colorschemes
+	$(INSTALL) -m 644 contrib/colorschemes/* $(DESTDIR)$(docdir)/contrib/colorschemes || true
+	$(MKDIR) $(DESTDIR)$(docdir)/contrib/getpocket.com
+	$(INSTALL) -m 755 contrib/getpocket.com/*.sh $(DESTDIR)$(docdir)/contrib/getpocket.com || true
+	$(INSTALL) -m 644 contrib/getpocket.com/*.md $(DESTDIR)$(docdir)/contrib/getpocket.com || true
 
 install-examples: doc/example-config
 	$(MKDIR) $(DESTDIR)$(docdir)/examples
 	$(INSTALL) -m 644 doc/example-config $(DESTDIR)$(docdir)/examples/config || true
+	$(INSTALL) -m 755 doc/example-bookmark-plugin.sh $(DESTDIR)$(docdir)/examples/example-bookmark-plugin.sh || true
+
 
 install: install-newsboat install-podboat install-docs install-examples install-mo
 
@@ -252,7 +291,7 @@
 
 .PHONY: doc clean distclean all test test-rss extract install uninstall regenerate-parser clean-newsboat \
 	clean-podboat clean-libboat clean-librsspp clean-libfilter clean-doc install-mo msgmerge clean-mo \
-	test-clean config cppcheck
+	clean-test config cppcheck
 
 # the following targets are i18n/l10n-related:
 
@@ -263,10 +302,15 @@
 
 extract:
 	$(RM) $(POTFILE)
-	xgettext -c/ -k_ -k_s -o $(POTFILE) *.cpp src/*.cpp rss/*.cpp
+	xgettext -c/ -k_ -k_s -o po/cpp.pot *.cpp src/*.cpp rss/*.cpp
+	xtr rust/libnewsboat/src/lib.rs --omit-header -o po/rust.pot
+	cat po/cpp.pot po/rust.pot > $(POTFILE)
+	$(RM) -f po/cpp.pot po/rust.pot
+	sed -i 's#Report-Msgid-Bugs-To: \\n#Report-Msgid-Bugs-To: https://github.com/newsboat/newsboat/issues\\n#' $(POTFILE)
+
 
 msgmerge:
-	for f in $(POFILES) ; do msgmerge -U $$f $(POTFILE) ; done
+	for f in $(POFILES) ; do msgmerge --backup=off -U $$f $(POTFILE) ; done
 
 %.mo: %.po
 	$(MSGFMT) --check --statistics -o $@ $<
@@ -296,14 +340,17 @@
 
 # tests and coverage reports
 
-test: test/test
+test: test/test rust-test
+
+rust-test:
+	$(CARGO) test --no-run
 
 TEST_SRCS:=$(wildcard test/*.cpp)
 TEST_OBJS:=$(patsubst %.cpp,%.o,$(TEST_SRCS))
-test/test: xlicense.h $(LIB_OUTPUT) $(NEWSBOAT_OBJS) $(FILTERLIB_OUTPUT) $(RSSPPLIB_OUTPUT) $(TEST_OBJS) test/test-helpers.h
+test/test: xlicense.h $(LIB_OUTPUT) $(NEWSBOATLIB_OUTPUT) $(NEWSBOAT_OBJS) $(PODBOAT_OBJS) $(FILTERLIB_OUTPUT) $(RSSPPLIB_OUTPUT) $(TEST_OBJS) test/test-helpers.h
 	$(CXX) $(CXXFLAGS) -o test/test $(TEST_OBJS) src/*.o $(NEWSBOAT_LIBS) $(LDFLAGS)
 
-test-clean:
+clean-test:
 	$(RM) test/test test/*.o
 
 profclean:
@@ -318,18 +365,3 @@
 	@./config.sh
 
 xlicense.h: LICENSE
-	$(TEXTCONV) $< > $@
-
-ALL_SRCS:=$(wildcard filter/*.cpp rss/*.cpp src/*.cpp test/*.cpp)
-ALL_HDRS:=$(wildcard filter/*.h rss/*.h test/*.h 3rd-party/*.hpp) $(STFLHDRS) xlicense.h
-depslist: $(ALL_SRCS) $(ALL_HDRS)
-	> mk/mk.deps
-	for dir in filter rss src test ; do \
-		for file in $$dir/*.cpp ; do \
-			target=`echo $$file | sed 's/cpp$$/o/'`; \
-			$(CXX) $(BARE_CXXFLAGS) -MM -MG -MQ $$target $$file >> mk/mk.deps ; \
-			echo $$file ; \
-		done; \
-	done
-
-include mk/mk.deps
