=== debian/changelog ===
newsboat (2.18-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:49 +0100

newsboat (2.18-2) unstable; urgency=medium

  * Bump rust-once-cell build-dep version

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Mon, 30 Dec 2019 15:29:47 +0200

newsboat (2.18-1) unstable; urgency=medium

  [ Nikos Tsipinakis ]
  * New upstream version 2.18
  * Bump policy version to 4.4.1 (No changes needed)
  * Drop fix-ftbfs-without-git.patch (Applied upstream)
  * Refresh relax-deps versions
  * d/control: Update dependency versions for 2.18
  * Relicense debian/ to MIT/Expat
    - With permission from the previous maintainer, Nico Golde.
  * Set cargo home in dh_auto_test

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Thu, 26 Dec 2019 15:48:30 +0200

newsboat (2.16.1-1) unstable; urgency=low

  [ Nikos Tsipinakis ]
  * New upstream version 2.16.1
  * d/control: Add rust dependencies
  * d/rules:
    - Make cargo use /usr/share/cargo as the registry
    - Remove Cargo.lock before build
  * d/patches:
    - Drop 02-fix-use-after-free.patch (fixed upstream)
    - Patch ftbfs when building without git
    - Relax dependency version requirements

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Mon, 28 Oct 2019 12:37:08 +0200
