=== debian/control ===
--- 
+++ 
@@ -15,8 +15,34 @@
                libxml2-utils,
                xsltproc,
                docbook-xml,
-               docbook-xsl
-Standards-Version: 4.4.0
+               docbook-xsl,
+               cargo,
+               librust-chrono-0.4-dev,
+               librust-time-0.1-dev,
+               librust-rand-0.7-dev,
+               librust-once-cell-1+parking-lot-dev,
+               librust-regex-1-dev,
+               librust-url-2-dev,
+               librust-dirs-2-dev,
+               librust-xdg-2-dev,
+               librust-backtrace-0.3-dev,
+               librust-backtrace-sys-0.1-dev,
+               librust-unicode-width-0.1-dev,
+               librust-nom-4-dev,
+               librust-unicode-segmentation-1-dev,
+               librust-curl-sys-0.4+ssl-dev,
+               librust-libc-0.2-dev,
+               librust-gettext-rs-0.4-dev,
+               librust-natord-1-dev,
+               librust-clap-2-dev,
+               librust-gettext-sys-0.19-dev,
+               librust-tempfile-3-dev,
+               librust-proptest-0.9+bit-set-dev,
+               librust-proptest-0.9+rusty-fork-dev,
+               librust-proptest-0.9+timeout-dev,
+               librust-percent-encoding-2-dev,
+               librust-section-testing-0.0.4-dev
+Standards-Version: 4.4.1
 Homepage: https://www.newsboat.org
 Vcs-Git: https://salsa.debian.org/nikos-guest/newsboat.git
 Vcs-Browser: https://salsa.debian.org/nikos-guest/newsboat
