## newsboat 2.20.1

=== Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 PODBOAT=podboat
 PODBOAT_SOURCES:=$(shell cat mk/podboat.deps)
 PODBOAT_OBJS:=$(patsubst %.cpp,%.o,$(PODBOAT_SOURCES))
-PODBOAT_LIBS=-lboat -lnewsboat -lpthread -ldl
+PODBOAT_LIBS=-lboat -lnewsboat -lfilter -lpthread -ldl
 
 ifeq (, $(filter Linux GNU GNU/%, $(shell uname -s)))
 NEWSBOAT_LIBS+=-liconv -lintl
@@ -85,11 +85,10 @@
 # additional commands
 MKDIR=mkdir -p
 INSTALL=install
-A2X=a2x
+ASCIIDOCTOR=asciidoctor
 MSGFMT=msgfmt
 RANLIB?=ranlib
 AR?=ar
-CHMOD=chmod
 CARGO=cargo
 
 STFLHDRS:=$(patsubst %.stfl,%.h,$(wildcard stfl/*.stfl))
@@ -106,12 +105,12 @@
 NB_DEPS=xlicense.h $(LIB_OUTPUT) $(FILTERLIB_OUTPUT) $(NEWSBOAT_OBJS) $(RSSPPLIB_OUTPUT) $(NEWSBOATLIB_OUTPUT)
 
 $(NEWSBOATLIB_OUTPUT): $(RUST_SRCS)
-	$(CARGO) build --package libnewsboat-ffi $(CARGO_FLAGS)
+	+$(CARGO) build --package libnewsboat-ffi $(CARGO_FLAGS)
 
 $(NEWSBOAT): $(NB_DEPS)
 	$(CXX) $(CXXFLAGS) -o $(NEWSBOAT) $(NEWSBOAT_OBJS) $(NEWSBOAT_LIBS) $(LDFLAGS)
 
-$(PODBOAT): $(LIB_OUTPUT) $(NEWSBOATLIB_OUTPUT) $(PODBOAT_OBJS)
+$(PODBOAT): $(LIB_OUTPUT) $(NEWSBOATLIB_OUTPUT) $(PODBOAT_OBJS) $(FILTERLIB_OUTPUT)
 	$(CXX) $(CXXFLAGS) -o $(PODBOAT) $(PODBOAT_OBJS) $(PODBOAT_LIBS) $(LDFLAGS)
 
 $(LIB_OUTPUT): $(LIB_OBJS)
@@ -159,10 +158,11 @@
 
 clean-doc:
 	$(RM) -r doc/xhtml 
-	$(RM) doc/*.xml doc/*.1 doc/newsboat-cfgcmds.txt doc/podboat-cfgcmds.txt \
-		doc/newsboat-keycmds.txt doc/configcommands-linked.dsv \
-		doc/podboat-cmds-linked.dsv doc/keycmds-linked.dsv \
-		doc/gen-example-config doc/example-config doc/generate doc/generate2
+	$(RM) doc/*.xml doc/*.1 doc/newsboat-cfgcmds.asciidoc \
+		doc/podboat-cfgcmds.asciidoc doc/newsboat-keycmds.asciidoc \
+		doc/configcommands-linked.dsv doc/podboat-cmds-linked.dsv \
+		doc/keycmds-linked.dsv doc/gen-example-config \
+		doc/example-config doc/generate doc/generate2
 
 clean: clean-newsboat clean-podboat clean-libboat clean-libfilter clean-doc clean-librsspp clean-libnewsboat
 	$(RM) $(STFLHDRS) xlicense.h
@@ -170,52 +170,50 @@
 distclean: clean clean-mo clean-test profclean
 	$(RM) core *.core core.* config.mk
 
-doc: doc/newsboat.1 doc/podboat.1 doc/xhtml/newsboat.html doc/xhtml/faq.html
-
-doc/xhtml/newsboat.html: doc/newsboat.txt doc/chapter-firststeps.txt doc/configcommands-linked.dsv \
-		doc/keycmds-linked.dsv doc/chapter-tagging.txt doc/chapter-snownews.txt \
-		doc/chapter-cmdline.txt doc/chapter-podcasts.txt doc/podboat-cmds-linked.dsv \
-		doc/chapter-password.txt doc/chapter-environment-variables.txt
+doc: doc/$(NEWSBOAT).1 doc/$(PODBOAT).1 doc/xhtml/newsboat.html doc/xhtml/faq.html doc/example-config
+
+doc/xhtml/newsboat.html: doc/newsboat.asciidoc doc/chapter-firststeps.asciidoc \
+		doc/configcommands-linked.dsv doc/keycmds-linked.dsv \
+		doc/chapter-tagging.asciidoc doc/chapter-snownews.asciidoc \
+		doc/chapter-cmdline.asciidoc doc/chapter-podcasts.asciidoc \
+		doc/podboat-cmds-linked.dsv doc/chapter-password.asciidoc \
+		doc/chapter-environment-variables.asciidoc \
+		doc/chapter-files.asciidoc
 	$(MKDIR) doc/xhtml
-	$(A2X) -f xhtml -D doc/xhtml doc/newsboat.txt
-	$(CHMOD) u+w doc/xhtml/docbook-xsl.css
-	echo "/* AsciiDoc's new tables have <p> inside <td> which wastes vertical space, so fix it */" >> doc/xhtml/docbook-xsl.css
-	echo "td > p { margin: 0; }" >> doc/xhtml/docbook-xsl.css
-	echo "td > p + p { margin-top: 0.5em; }" >> doc/xhtml/docbook-xsl.css
-	echo "td > pre { margin: 0; white-space: pre-wrap; }" >> doc/xhtml/docbook-xsl.css
-
-doc/xhtml/faq.html: doc/faq.txt
+	$(ASCIIDOCTOR) --backend=html5 -a webfonts! --destination-dir=doc/xhtml doc/newsboat.asciidoc
+
+doc/xhtml/faq.html: doc/faq.asciidoc
 	$(MKDIR) doc/xhtml
-	$(A2X) -f xhtml -D doc/xhtml doc/faq.txt
-	$(CHMOD) u+w doc/xhtml/docbook-xsl.css
-	echo "/* AsciiDoc's new tables have <p> inside <td> which wastes vertical space, so fix it */" >> doc/xhtml/docbook-xsl.css
-	echo "td > p { margin: 0; }" >> doc/xhtml/docbook-xsl.css
-	echo "td > p + p { margin-top: 0.5em; }" >> doc/xhtml/docbook-xsl.css
-	echo "td > pre { margin: 0; white-space: pre-wrap; }" >> doc/xhtml/docbook-xsl.css
+	$(ASCIIDOCTOR) --backend=html5 -a webfonts! --destination-dir=doc/xhtml doc/faq.asciidoc
 
 doc/generate: doc/generate.cpp doc/split.h
 	$(CXX_FOR_BUILD) $(CXXFLAGS_FOR_BUILD) -o doc/generate doc/generate.cpp
 
-doc/newsboat-cfgcmds.txt: doc/generate doc/configcommands.dsv
-	doc/generate doc/configcommands.dsv > doc/newsboat-cfgcmds.txt
+doc/newsboat-cfgcmds.asciidoc: doc/generate doc/configcommands.dsv
+	doc/generate doc/configcommands.dsv > doc/newsboat-cfgcmds.asciidoc
 
 doc/generate2: doc/generate2.cpp
 	$(CXX_FOR_BUILD) $(CXXFLAGS_FOR_BUILD) -o doc/generate2 doc/generate2.cpp
 
-doc/newsboat-keycmds.txt: doc/generate2 doc/keycmds.dsv
-	doc/generate2 doc/keycmds.dsv > doc/newsboat-keycmds.txt
-
-doc/newsboat.1: doc/manpage-newsboat.txt doc/chapter-firststeps.txt doc/newsboat-cfgcmds.txt \
-		doc/newsboat-keycmds.txt doc/chapter-tagging.txt doc/chapter-snownews.txt \
-		doc/chapter-cmdline.txt doc/chapter-environment-variables.txt
-	$(A2X) -f manpage doc/manpage-newsboat.txt
-
-doc/podboat-cfgcmds.txt: doc/generate doc/podboat-cmds.dsv
-	doc/generate doc/podboat-cmds.dsv 'pb-' > doc/podboat-cfgcmds.txt
-
-doc/podboat.1: doc/manpage-podboat.txt doc/chapter-podcasts.txt doc/podboat-cfgcmds.txt \
-		doc/chapter-environment-variables.txt
-	$(A2X) -f manpage doc/manpage-podboat.txt
+doc/newsboat-keycmds.asciidoc: doc/generate2 doc/keycmds.dsv
+	doc/generate2 doc/keycmds.dsv > doc/newsboat-keycmds.asciidoc
+
+doc/$(NEWSBOAT).1: doc/manpage-newsboat.asciidoc doc/chapter-firststeps.asciidoc \
+		doc/newsboat-cfgcmds.asciidoc doc/newsboat-keycmds.asciidoc \
+		doc/chapter-tagging.asciidoc doc/chapter-snownews.asciidoc \
+		doc/chapter-cmdline.asciidoc \
+		doc/chapter-environment-variables.asciidoc \
+		doc/chapter-files.asciidoc
+	$(ASCIIDOCTOR) --backend=manpage doc/manpage-newsboat.asciidoc
+
+doc/podboat-cfgcmds.asciidoc: doc/generate doc/podboat-cmds.dsv
+	doc/generate doc/podboat-cmds.dsv 'pb-' > doc/podboat-cfgcmds.asciidoc
+
+doc/$(PODBOAT).1: doc/manpage-podboat.asciidoc doc/chapter-podcasts.asciidoc \
+		doc/podboat-cfgcmds.asciidoc \
+		doc/chapter-environment-variables.asciidoc \
+		doc/chapter-files.asciidoc
+	$(ASCIIDOCTOR) --backend=manpage doc/manpage-podboat.asciidoc
 
 doc/gen-example-config: doc/gen-example-config.cpp doc/split.h
 	$(CXX_FOR_BUILD) $(CXXFLAGS_FOR_BUILD) -o doc/gen-example-config doc/gen-example-config.cpp
@@ -235,29 +233,26 @@
 	sed -E 's/^([^|]+)/[[\1]]<<\1,`\1`>>/' doc/keycmds.dsv > doc/keycmds-linked.dsv
 
 fmt:
-	astyle --project *.cpp doc/*.cpp include/*.h rss/*.h rss/*.cpp src/*.cpp test/*.h test/*.cpp
+	astyle --project \
+		*.cpp doc/*.cpp include/*.h rss/*.h rss/*.cpp src/*.cpp \
+		test/*.cpp test/test-helpers/*.h test/test-helpers/*.cpp
 	$(CARGO) fmt
 
 cppcheck:
 	cppcheck -j$(CPPCHECK_JOBS) --force --enable=all --suppress=unusedFunction \
 		-DDEBUG=1 \
 		$(INCLUDES) $(DEFINES) \
-		include filter newsboat.cpp podboat.cpp rss src stfl \
-		test/*.cpp test/*.h \
+		include filter newsboat.cpp podboat.cpp rss src stfl test \
 		2>cppcheck.log
 	@echo "Done! See cppcheck.log for details."
 
-install-newsboat: $(NEWSBOAT) doc/$(NEWSBOAT).1
+install-newsboat: $(NEWSBOAT)
 	$(MKDIR) $(DESTDIR)$(prefix)/bin
 	$(INSTALL) $(NEWSBOAT) $(DESTDIR)$(prefix)/bin
-	$(MKDIR) $(DESTDIR)$(mandir)/man1
-	$(INSTALL) -m 644 doc/$(NEWSBOAT).1 $(DESTDIR)$(mandir)/man1 || true
-
-install-podboat: $(PODBOAT) doc/$(PODBOAT).1
+
+install-podboat: $(PODBOAT)
 	$(MKDIR) $(DESTDIR)$(prefix)/bin
 	$(INSTALL) $(PODBOAT) $(DESTDIR)$(prefix)/bin
-	$(MKDIR) $(DESTDIR)$(mandir)/man1
-	$(INSTALL) -m 644 doc/$(PODBOAT).1 $(DESTDIR)$(mandir)/man1 || true
 
 install-docs: doc
 	$(MKDIR) $(DESTDIR)$(docdir)
@@ -272,14 +267,21 @@
 	$(MKDIR) $(DESTDIR)$(docdir)/contrib/getpocket.com
 	$(INSTALL) -m 755 contrib/getpocket.com/*.sh $(DESTDIR)$(docdir)/contrib/getpocket.com || true
 	$(INSTALL) -m 644 contrib/getpocket.com/*.md $(DESTDIR)$(docdir)/contrib/getpocket.com || true
+	$(MKDIR) $(DESTDIR)$(mandir)/man1
+	$(INSTALL) -m 644 doc/$(NEWSBOAT).1 $(DESTDIR)$(mandir)/man1 || true
+	$(INSTALL) -m 644 doc/$(PODBOAT).1 $(DESTDIR)$(mandir)/man1 || true
 
 install-examples: doc/example-config
 	$(MKDIR) $(DESTDIR)$(docdir)/examples
 	$(INSTALL) -m 644 doc/example-config $(DESTDIR)$(docdir)/examples/config || true
-	$(INSTALL) -m 755 doc/example-bookmark-plugin.sh $(DESTDIR)$(docdir)/examples/example-bookmark-plugin.sh || true
-
-
-install: install-newsboat install-podboat install-docs install-examples install-mo
+	$(INSTALL) -m 755 doc/examples/example-bookmark-plugin.sh $(DESTDIR)$(docdir)/examples/example-bookmark-plugin.sh || true
+	$(INSTALL) -m 755 doc/examples/example-exec-script.py $(DESTDIR)$(docdir)/examples/example-exec-script.py || true
+
+install-icon:
+	$(MKDIR) $(DESTDIR)$(datadir)/icons/hicolor/scalable/apps
+	$(INSTALL) -m 644 logo.svg $(DESTDIR)$(datadir)/icons/hicolor/scalable/apps/newsboat.svg
+
+install: install-newsboat install-podboat install-docs install-examples install-mo install-icon
 
 uninstall: uninstall-mo
 	$(RM) $(DESTDIR)$(prefix)/bin/$(NEWSBOAT)
@@ -288,8 +290,9 @@
 	$(RM) $(DESTDIR)$(mandir)/man1/$(PODBOAT).1
 	$(RM) -rf $(DESTDIR)$(docdir)
 	$(RM) -r $(DESTDIR)$(docdir)
-
-.PHONY: doc clean distclean all test test-rss extract install uninstall regenerate-parser clean-newsboat \
+	$(RM) $(DESTDIR)$(datadir)/icons/hicolor/scalable/apps/newsboat.svg
+
+.PHONY: doc clean distclean all test extract install uninstall regenerate-parser clean-newsboat \
 	clean-podboat clean-libboat clean-librsspp clean-libfilter clean-doc install-mo msgmerge clean-mo \
 	clean-test config cppcheck
 
@@ -303,7 +306,7 @@
 extract:
 	$(RM) $(POTFILE)
 	xgettext -c/ -k_ -k_s -o po/cpp.pot *.cpp src/*.cpp rss/*.cpp
-	xtr rust/libnewsboat/src/lib.rs --omit-header -o po/rust.pot
+	xtr rust/libnewsboat/src/lib.rs rust/regex-rs/src/lib.rs --omit-header -o po/rust.pot
 	cat po/cpp.pot po/rust.pot > $(POTFILE)
 	$(RM) -f po/cpp.pot po/rust.pot
 	sed -i 's#Report-Msgid-Bugs-To: \\n#Report-Msgid-Bugs-To: https://github.com/newsboat/newsboat/issues\\n#' $(POTFILE)
@@ -343,25 +346,17 @@
 test: test/test rust-test
 
 rust-test:
-	$(CARGO) test --no-run
-
-TEST_SRCS:=$(wildcard test/*.cpp)
+	+$(CARGO) test --no-run
+
+TEST_SRCS:=$(wildcard test/*.cpp test/test-helpers/*.cpp)
 TEST_OBJS:=$(patsubst %.cpp,%.o,$(TEST_SRCS))
-test/test: xlicense.h $(LIB_OUTPUT) $(NEWSBOATLIB_OUTPUT) $(NEWSBOAT_OBJS) $(PODBOAT_OBJS) $(FILTERLIB_OUTPUT) $(RSSPPLIB_OUTPUT) $(TEST_OBJS) test/test-helpers.h
+test/test: xlicense.h $(LIB_OUTPUT) $(NEWSBOATLIB_OUTPUT) $(NEWSBOAT_OBJS) $(PODBOAT_OBJS) $(FILTERLIB_OUTPUT) $(RSSPPLIB_OUTPUT) $(TEST_OBJS)
 	$(CXX) $(CXXFLAGS) -o test/test $(TEST_OBJS) src/*.o $(NEWSBOAT_LIBS) $(LDFLAGS)
 
 clean-test:
-	$(RM) test/test test/*.o
+	$(RM) test/test test/*.o test/test-helpers/*.o
 
 profclean:
 	find . -name '*.gc*' -type f -print0 | xargs -0 $(RM) --
 	$(RM) app*.info
 
-# miscellaneous stuff
-
-config: config.mk
-
-config.mk:
-	@./config.sh
-
-xlicense.h: LICENSE
