=== debian/changelog ===
newsboat (2.20.1-1) unstable; urgency=medium

  * Update vcs url
  * New upstream version 2.20.1
  * Update rust dependencies

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Wed, 29 Jul 2020 14:51:01 +0300

newsboat (2.19-1) unstable; urgency=medium

  * New upstream version 2.19
  * d/control: Remove unicode-segmentation dependency
  * d/control: Replace asciidoc dependency with asciidoctor
  * Refresh patches
  * Bump standards to 4.5.0, no changes

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 31 Mar 2020 22:45:41 +0200
