=== debian/control ===
--- 
+++ 
@@ -11,11 +11,7 @@
                pkg-config,
                libcurl4-gnutls-dev,
                libjson-c-dev,
-               asciidoc,
-               libxml2-utils,
-               xsltproc,
-               docbook-xml,
-               docbook-xsl,
+               asciidoctor,
                cargo,
                librust-chrono-0.4-dev,
                librust-time-0.1-dev,
@@ -28,8 +24,7 @@
                librust-backtrace-0.3-dev,
                librust-backtrace-sys-0.1-dev,
                librust-unicode-width-0.1-dev,
-               librust-nom-4-dev,
-               librust-unicode-segmentation-1-dev,
+               librust-nom-5+lexical-core-dev,
                librust-curl-sys-0.4+ssl-dev,
                librust-libc-0.2-dev,
                librust-gettext-rs-0.4-dev,
@@ -42,10 +37,10 @@
                librust-proptest-0.9+timeout-dev,
                librust-percent-encoding-2-dev,
                librust-section-testing-0.0.4-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.newsboat.org
-Vcs-Git: https://salsa.debian.org/nikos-guest/newsboat.git
-Vcs-Browser: https://salsa.debian.org/nikos-guest/newsboat
+Vcs-Git: https://salsa.debian.org/nikos/newsboat.git
+Vcs-Browser: https://salsa.debian.org/nikos/newsboat
 
 Package: newsboat
 Architecture: any
